package com.simuwang.manage.api.log;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.TaskPageQuery;
import com.simuwang.base.pojo.vo.EmailTaskInfoVO;
import com.simuwang.logging.SystemLog;
import com.simuwang.manage.service.TaskLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 任务信息管理
 * Author:   chenjianhua
 * Date:     2024/10/8 14:06
 * Description: ${DESCRIPTION}
 */
@SystemLog("任务信息管理")
@RestController
@RequestMapping("/v1/task")
public class TaskLogController {
    @Autowired
    private TaskLogService taskLogService;
    /**
     * 日志查询列表
     * @param taskPageQuery
     * @return
     */
    @SystemLog(value = "查询任务列表")
    @GetMapping("/search-task-list")
    public MybatisPage<EmailTaskInfoVO> searchTaskList(TaskPageQuery taskPageQuery){
        MybatisPage<EmailTaskInfoVO> result = taskLogService.searchTaskList(taskPageQuery);
        return result;
    }

}
